package org.gcube.portlets.user.td.codelistmappingimportwidget.client;

import com.google.gwt.i18n.client.Messages;

/**
 * 
 * @author giancarlo email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public interface CodelistMappingMessages extends Messages {
	
	@DefaultMessage("Codelist Mapping Import")
	String codelistMappingImportWizardHead();
	
	@DefaultMessage("Codelist Mapping source selection")
	String sourceSelectionCardHead();
	
	@DefaultMessage("Codelist Mapping Import File Upload")
	String codelistMappingUploadFileCardHead();
	
	@DefaultMessage("Select the Codelist before curation")
	String tabResourcesSelectionCardHead();
	
	@DefaultMessage("This tabular resource does not have a valid table!")
	String attentionThisTabularResourceDoesNotHaveAValidTable();
	
	@DefaultMessage("Delete")
	String delete();
	
	@DefaultMessage("Would you like to delete this tabular resource without table?")
	String wouldYouLikeToDeleteThisTabularResourceWithoutTable();
	
	@DefaultMessage("Error on delete TabResource: ")
	String errorOnDeleteTabularResourceFixed();
	
	@DefaultMessage("Select The Code Column")
	String columnSelectionCardHead();
	
	@DefaultMessage("No columns selected!")
	String attentionNoColumnsSelected();
	
	@DefaultMessage("Codelist Mapping Detail")
	String codelistMappingDetailCardHead();
	
	@DefaultMessage("Enter a name...")
	String fieldNameEmptyText();
	
	@DefaultMessage("Name")
	String fieldNameLabel();
	
	@DefaultMessage("Enter a description...")
	String fieldDescriptionEmptyText();
	
	@DefaultMessage("Description")
	String fieldDescriptionLabel();
	
	@DefaultMessage("XML map")
	String fieldDescriptionDefaultValue();
	
	@DefaultMessage("Fill in all fields")
	String attentionFillInAllFields();
	
	@DefaultMessage("Document: ")
	String documentFixed();
	
	@DefaultMessage("Source: ")
	String sourceFixed();
	
	@DefaultMessage("Name: ")
	String nameFixed();
	
	@DefaultMessage("Import Summary")
	String summaryImport();
	
	@DefaultMessage("An error occured in import codelist mapping: ")
	String errorAnErrorOccurredInImportCodelistMappingFixed();
	
	@DefaultMessage("Error in Codelist Mapping Import")
	String errorInCodelistMappingImportHead();

	
}